DocPublisher (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.doc
[Groovy] Class DocPublisher

    java.lang.Object
      grails.doc.DocPublisher

    class DocPublisher

Coordinated the DocEngine the produce documentation based on the gdoc format.

Authors:
  Graeme Rocher

See Also:
  DocEngine

Since:
  1.2

Property Summary
`static java.lang.Object` | `LOG`
`static java.lang.String` | `TOC_FILENAME`
`groovy.util.AntBuilder` | `ant` The AntBuilder instance to use
`java.io.File` | `apiDir` Directory containing the project's API documentation.
`java.lang.String` | `authors` The authors of the documentation
`java.lang.String` | `copyright` The copyright message
`java.io.File` | `css` The directory containing any CSS to use (will override defaults) *
`java.lang.String` | `encoding` The encoding to use (default is UTF-8)
`java.util.Properties` | `engineProperties` Properties used to configure the DocEngine
`java.lang.String` | `footer` The footer to include
`java.io.File` | `images` The directory containing any images to use (will override defaults) *
`java.io.File` | `js` The directory containing any Javascript to use (will override defaults) *
`java.lang.String` | `language` The language we're generating for (gets its own sub-directory).
`java.lang.String` | `license` The documentation license
`java.lang.String` | `logo` HTML markup that renders the left logo
`java.lang.Object` | `output`
`java.lang.String` | `sponsorLogo` HTML markup that renders the right logo
`java.io.File` | `src` The source directory of the documentation
`java.io.File` | `style` The directory cotnaining any templates to use (will override defaults) *
`java.lang.String` | `subtitle` The subtitle of the documentation
`java.io.File` | `target` The target directory to publish to
`java.lang.String` | `title` The title of the documentation
`java.lang.String` | `translators` The translators of the documentation (if any)
`java.lang.String` | `version` The version of the documentation
`java.io.File` | `workDir` The temporary work directory

Constructor Summary
`DocPublisher()`
`DocPublisher(java.io.File src, java.io.File target, java.lang.Object out = LOG)`

Method Summary
`java.util.Properties` | `getEngineProperties()` Returns the engine properties.
`protected void` | `initialize()`
`void` | `publish()`
`void` | `registerMacro(java.lang.Object macro)` Registers a custom Radeox macro.
`void` | `setEngineProperties(java.util.Properties p)` Sets the engine properties.
`protected java.lang.Object` | `verifyToc(java.io.File baseDir, java.lang.Object gdocFiles, java.lang.Object toc)` Checks the table of contents (a tree of UserGuideNodes) for duplicate section/alias names and invalid file paths.
`void` | `writeChapter(java.lang.Object section, groovy.text.Template layoutTemplate, groovy.text.Template sectionTemplate, java.io.File guideSrcDir, java.lang.String targetDir, java.lang.Object fullContents, java.lang.Object vars)`
`java.lang.String` | `writePage(java.lang.Object section, groovy.text.Template layoutTemplate, groovy.text.Template sectionTemplate, java.io.File guideSrcDir, java.lang.String targetDir, java.lang.String subDir, java.lang.Object path, java.lang.Object level, java.lang.Object vars)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### LOG

    static final java.lang.Object LOG

### TOC_FILENAME

    static final java.lang.String TOC_FILENAME

### ant

    groovy.util.AntBuilder ant

  The AntBuilder instance to use

### apiDir

    java.io.File apiDir

  Directory containing the project's API documentation.

### authors

    java.lang.String authors

  The authors of the documentation

### copyright

    java.lang.String copyright

  The copyright message

### css

    java.io.File css

  The directory containing any CSS to use (will override defaults) *

### encoding

    java.lang.String encoding

  The encoding to use (default is UTF-8)

### engineProperties

    java.util.Properties engineProperties

  Properties used to configure the DocEngine

### footer

    java.lang.String footer

  The footer to include

### images

    java.io.File images

  The directory containing any images to use (will override defaults) *

### js

    java.io.File js

  The directory containing any Javascript to use (will override defaults) *

### language

    java.lang.String language

  The language we're generating for (gets its own sub-directory). Defaults to ''

### license

    java.lang.String license

  The documentation license

### logo

    java.lang.String logo

  HTML markup that renders the left logo

### output

    java.lang.Object output

### sponsorLogo

    java.lang.String sponsorLogo

  HTML markup that renders the right logo

### src

    java.io.File src

  The source directory of the documentation

### style

    java.io.File style

  The directory cotnaining any templates to use (will override defaults) *

### subtitle

    java.lang.String subtitle

  The subtitle of the documentation

### target

    java.io.File target

  The target directory to publish to

### title

    java.lang.String title

  The title of the documentation

### translators

    java.lang.String translators

  The translators of the documentation (if any)

### version

    java.lang.String version

  The version of the documentation

### workDir

    java.io.File workDir

  The temporary work directory

Constructor Detail

### DocPublisher

    DocPublisher()

### DocPublisher

    DocPublisher(java.io.File src, java.io.File target, java.lang.Object out = LOG)

Method Detail

### getEngineProperties

    java.util.Properties getEngineProperties()

  Returns the engine properties.

### initialize

    protected void initialize()

### publish

    void publish()

### registerMacro

    void registerMacro(java.lang.Object macro)

  Registers a custom Radeox macro. If the macro has an 'initialContext' property, it is set to the render context before first use.

### setEngineProperties

    void setEngineProperties(java.util.Properties p)

  Sets the engine properties. Allows clients to override the defaults.

### verifyToc

    protected java.lang.Object verifyToc(java.io.File baseDir, java.lang.Object gdocFiles, java.lang.Object toc)

  Checks the table of contents (a tree of UserGuideNodes) for duplicate section/alias names and invalid file paths.
  Returns:
    `false` if any errors are detected.

### writeChapter

    void writeChapter(java.lang.Object section, groovy.text.Template layoutTemplate, groovy.text.Template sectionTemplate, java.io.File guideSrcDir, java.lang.String targetDir, java.lang.Object fullContents, java.lang.Object vars)

### writePage

    java.lang.String writePage(java.lang.Object section, groovy.text.Template layoutTemplate, groovy.text.Template sectionTemplate, java.io.File guideSrcDir, java.lang.String targetDir, java.lang.String subDir, java.lang.Object path, java.lang.Object level, java.lang.Object vars)

Groovy Documentation